package com.uas.erp.manage.server.domain;

import com.uas.erp.manage.server.entity.Client;
import com.uas.erp.manage.server.entity.ClientContainer;

/**
 * Created by Pro1 on 2017/6/23.
 */
public class ClientContainerInfo {

    private Long containerId;

    private String type;

    private String host;

    private String home;

    private Integer port;

    private String description;

    private String status;

    public Long getContainerId() {
        return containerId;
    }

    public void setContainerId(Long containerId) {
        this.containerId = containerId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getHome() {
        return home;
    }

    public void setHome(String home) {
        this.home = home;
    }

    public Integer getPort() {
        return port;
    }

    public void setPort(Integer port) {
        this.port = port;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public ClientContainer getClientContainer(Client client) {
        ClientContainer container = new ClientContainer();
        container.setDescription(this.description);
        container.setClientId(client.getId());
        container.setContainerId(this.containerId);
        container.setHome(this.home);
        container.setHost(this.host);
        container.setPort(this.port);
        container.setType(this.type);
        container.setStatus(this.status);
        return container;
    }

}
