package com.uas.erp.manage.server.domain;

import com.uas.erp.manage.server.entity.Client;
import com.uas.erp.manage.server.entity.ClientProject;

/**
 * Created by Pro1 on 2017/6/23.
 */
public class ClientProjectInfo {

    private Long projectId;

    private String groupId;

    private String artifactId;

    private String description;

    private String contextName;

    private String deployVersion;

    private Long deployTime;

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getArtifactId() {
        return artifactId;
    }

    public void setArtifactId(String artifactId) {
        this.artifactId = artifactId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getContextName() {
        return contextName;
    }

    public void setContextName(String contextName) {
        this.contextName = contextName;
    }

    public String getDeployVersion() {
        return deployVersion;
    }

    public void setDeployVersion(String deployVersion) {
        this.deployVersion = deployVersion;
    }

    public Long getDeployTime() {
        return deployTime;
    }

    public void setDeployTime(Long deployTime) {
        this.deployTime = deployTime;
    }

    public ClientProject getClientProject(Client client) {
        ClientProject project = new ClientProject();
        project.setDescription(this.getDescription());
        project.setArtifactId(this.getArtifactId());
        project.setGroupId(this.getGroupId());
        project.setProjectId(this.getProjectId());
        project.setClientId(client.getId());
        project.setDeployVersion(this.getDeployVersion());
        project.setDeployTime(this.getDeployTime());
        return project;
    }
}
