package com.uas.erp.manage.server.web;

import org.springframework.data.domain.*;

import java.util.List;

/**
 * Created by Pro1 on 2017/7/20.
 */
public class RestPage<T>{

    private int number;
    private int size;
    private int totalElements;
    private List<T> content;

    public List<T> getContent() {
        return content;
    }

    public void setContent(List<T> content) {
        this.content = content;
    }

    public int getNumber() {
        return number;
    }

    public void setNumber(int number) {
        this.number = number;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getTotalElements() {
        return totalElements;
    }

    public void setTotalElements(int totalElements) {
        this.totalElements = totalElements;
    }

    public Page<T> getPage() {
        return new PageImpl<T>(this.content, new PageRequest(this.number, this.size), this.totalElements);
    }
}
